"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEnsureAllTeamsScenarioDoNotUseOboFallbackKSActivated = exports.isConditionalAccessIgnoredOnEnsureStateKSActivated = exports.isUpdateReplyUriForV1FallbackKSActivated = exports.isEnsureRefreshTokenKSActivated = exports.isTenantAdminAppFirtPartyKSActivated = exports.isPopupEnabledInV3KSActivated = exports.isAlwaysInitOboConfigKSActive = exports.isMsalImplicitV1TokenByPopupKSActivated = exports.isLogAfterFullPageRedirectKSActivated = exports.useOBOInWebForSecureBrokerKSActivated = exports.isTeamsBrowserHostedKSActive = exports.isPreventInfiniteRefreshViaReadingFromSessionStorageKSActivated = exports.isMsalUseSeparateStorageKeysKsActivated = exports.isMsalBrowserRetryAndSsoSilentImprovementsKsActivated = exports.isMsalTwoMinuteMaxRedirectKsActivated = exports.isAadTokenErrorLogKsActivated = exports.isExtendedErrorObjectActivated = exports.isSkipKnownErroneousResourcesActivated = void 0;
var sp_core_library_1 = require("@microsoft/sp-core-library");
function isSkipKnownErroneousResourcesActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('dd3dba4e-4baa-4bd3-95bf-64ffae9b7b51'
    /* '01/04/22', 'Skip making a request for resources that have already failed' */
    );
}
exports.isSkipKnownErroneousResourcesActivated = isSkipKnownErroneousResourcesActivated;
function isExtendedErrorObjectActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('a4a3d2f4-ad0e-4684-adee-a5ceec193558'
    /* '03/08/22', 'Extends error object to allow for more properties to be filled' */
    );
}
exports.isExtendedErrorObjectActivated = isExtendedErrorObjectActivated;
function isAadTokenErrorLogKsActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('e212149a-997e-4aa9-aa89-8be796153d3e'
    /* '05/27/2022',
        'Log actual acquire token monitor error'*/
    );
}
exports.isAadTokenErrorLogKsActivated = isAadTokenErrorLogKsActivated;
function isMsalTwoMinuteMaxRedirectKsActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('ca6e64a5-3cde-4350-8a45-a21de378cc60'
    /* '07/14/22', 'Enable MSAL to hit max redirect limit in 2 minutes instead of 1' */
    );
}
exports.isMsalTwoMinuteMaxRedirectKsActivated = isMsalTwoMinuteMaxRedirectKsActivated;
function isMsalBrowserRetryAndSsoSilentImprovementsKsActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('e0bd3586-89a3-466b-8ee0-db1f9457fe99'
    /* '07/14/22', 'Stop MSAL Browser from retrying endpoint resolution failures + increase timeout time' */
    );
}
exports.isMsalBrowserRetryAndSsoSilentImprovementsKsActivated = isMsalBrowserRetryAndSsoSilentImprovementsKsActivated;
function isMsalUseSeparateStorageKeysKsActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('1a423106-78a1-4238-ba44-dd5f7f4138df'
    /* '08/18/22', 'Separate the storage parameters used for redirect flows by v1/v2' */
    );
}
exports.isMsalUseSeparateStorageKeysKsActivated = isMsalUseSeparateStorageKeysKsActivated;
function isPreventInfiniteRefreshViaReadingFromSessionStorageKSActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('fed6018f-7453-47fc-aecb-2d9505b62bb4'
    /* '03/02/23', 'Add session storage check to prevent infinite refresh' */
    );
}
exports.isPreventInfiniteRefreshViaReadingFromSessionStorageKSActivated = isPreventInfiniteRefreshViaReadingFromSessionStorageKSActivated;
function isTeamsBrowserHostedKSActive() {
    return sp_core_library_1._SPKillSwitch.isActivated('9b9957d5-67d6-4f73-8882-11ee6bbaa066'
    /* '02/20/2024', 'Set teams hosted container' */
    );
}
exports.isTeamsBrowserHostedKSActive = isTeamsBrowserHostedKSActive;
function useOBOInWebForSecureBrokerKSActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('043feae9-5a56-40ff-b175-6f7f813507ff' /* '10/26/22', 'use OBO in web for secure broker' */);
}
exports.useOBOInWebForSecureBrokerKSActivated = useOBOInWebForSecureBrokerKSActivated;
function isLogAfterFullPageRedirectKSActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('5a350491-8d32-46a3-a4c4-fdce19a5f73e' /* '08/17/23', 'log after full page redirect' */);
}
exports.isLogAfterFullPageRedirectKSActivated = isLogAfterFullPageRedirectKSActivated;
function isMsalImplicitV1TokenByPopupKSActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('e6246a29-f6af-41de-88b7-3f023102181b' /* '08/14/23', 'Enable acquiring a token by popup' */);
}
exports.isMsalImplicitV1TokenByPopupKSActivated = isMsalImplicitV1TokenByPopupKSActivated;
// cross project KS
function isAlwaysInitOboConfigKSActive() {
    return sp_core_library_1._SPKillSwitch.isActivated('7fb9acc4-19f2-446f-b592-f15c49bfd771'
    /* '10/17/2023', 'Always initialize OBO configuration' */
    );
}
exports.isAlwaysInitOboConfigKSActive = isAlwaysInitOboConfigKSActive;
function isPopupEnabledInV3KSActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('acdd82b0-5d29-4a05-9d39-af32437292c5' /* '11/15/23', 'Disable popup in MSALV3' */);
}
exports.isPopupEnabledInV3KSActivated = isPopupEnabledInV3KSActivated;
function isTenantAdminAppFirtPartyKSActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('43551625-af3d-44b0-8fb3-f0272435c606' /* '12/08/23', 'Is tenant admin app first party' */);
}
exports.isTenantAdminAppFirtPartyKSActivated = isTenantAdminAppFirtPartyKSActivated;
function isEnsureRefreshTokenKSActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('db350345-b6f8-4c00-9cbe-49ae316f6637' /* '12/06/2023', 'Disable ensure refresh token' */);
}
exports.isEnsureRefreshTokenKSActivated = isEnsureRefreshTokenKSActivated;
function isUpdateReplyUriForV1FallbackKSActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('bd15098f-e57e-4171-8d51-c5c0c59dfaeb' /* '01/31/2024', 'isUpdateReplyUriForV1Fallback' */);
}
exports.isUpdateReplyUriForV1FallbackKSActivated = isUpdateReplyUriForV1FallbackKSActivated;
function isConditionalAccessIgnoredOnEnsureStateKSActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('780272c0-bb66-4f68-a470-15c7c74493fd' /* '02/09/2024', 'isConditionalAccessIgnoredOnEnsureStateKSActivated' */);
}
exports.isConditionalAccessIgnoredOnEnsureStateKSActivated = isConditionalAccessIgnoredOnEnsureStateKSActivated;
function isEnsureAllTeamsScenarioDoNotUseOboFallbackKSActivated() {
    return sp_core_library_1._SPKillSwitch.isActivated('39cd1636-2dbc-45e8-8584-34551ab999af' /* '03/11/2024', 'isEnsureAllTeamsScenarioDoNotUseOboFallbackKSActivated' */);
}
exports.isEnsureAllTeamsScenarioDoNotUseOboFallbackKSActivated = isEnsureAllTeamsScenarioDoNotUseOboFallbackKSActivated;
//# sourceMappingURL=AadKillSwitches.js.map